Subject: [MMUSIC] RFC 4566bis - issue 2 - inconsistent specification

From: Colin Perkins <[email-masked]>
Date: Mon, 14 Jul 2008 23:55:12 +0100

On 10 Nov 2006, at 00:10, Alfred HÎnes wrote:
> (2)  inconsistent specification
>
> Contrary to the text in Section 4.6 (see above), Section 5 of RFC 4566
> specifies, at the bottom of page 7:
>
>    An SDP session description is entirely textual using the ISO 10646
>    character set in UTF-8 encoding.  SDP field names and attribute  
> names
>    use only the US-ASCII subset of UTF-8, but textual fields and
>    attribute values MAY use the full ISO 10646 character set.  [...]
>
> These conflicting specifications might become a source of
> interoperability problems, and therefore, the conflict should be
> resolved by a clarification !!!
>
> Note: Subsequent text in sections 5.* specifies behaviour related
> to the "a=charset" attribute required if other charsets than UTF-8
> are used in certain fields; therefore, the latter exclusive UTF-8
> rule is most probably too restrictive and hence inappropriate.

This appears to be a mistake in Section 5. An appropriate fix might  
be to change this section to begin:

    An SDP session description is entirely textual. SDP field names and
    attribute names use only the US-ASCII subset of UTF-8, but textual
    fields and attribute values MAY use the full ISO 10646 character
    set in UTF-8 encoding, or some other character set defined by the
    "a=charset:" attribute. [...]

Comments?

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic